## gridsite 1.7.25

=== debian/changelog ===
gridsite (1.7.25-2) unstable; urgency=low

  * Move configuration files to /etc (Closes: #720300)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Aug 2013 09:02:07 +0200

gridsite (1.7.25-1) unstable; urgency=low

  * Latest upstream 1.7 release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 23 Aug 2013 11:46:26 +0200
