=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, gsoap, doxygen, sharutils, dh-apache2
Standards-Version: 3.9.4
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite

Package: gridsite
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite1.7
Architecture: any
Section: libs
Replaces: libgridsite1.5
Conflicts: libgridsite1.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: gridsite-gsexec
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Setuid gsexec tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-gsexec, contains the setuid gsexec program.

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite1.7 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

Package: gridsite-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gridsite (= ${binary:Version}) | libgridsite1.7 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}) | gridsite-gsexec (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-dbg, contains debugging symbols for gridsite.
