## gridsite 2.0.3

=== debian/changelog ===
gridsite (2.0.3-0dev.3) stable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Thu, 12 Dec 2012 00:23:04 +0100
