=== debian/control ===
Source: gridsite
Section: main
Priority: optional
Maintainer: EMI CESNET security <emi-lb@metacentrum.cz>
Build-Depends: debhelper (>= 7.0.50~),
	apache2-prefork-dev,
	gsoap,
	libcanl-c-dev,
	libglobus-gssapi-gsi-dev,
	libcurl4-openssl-dev,
	doxygen,
	libxml2,
	libxml2-dev,
	libssl-dev,
	libtool,
	pkg-config
Standards-Version: 3.9.1
Homepage: http://gridsite.org
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw/org.gridsite.core

Package: gridsite
Section: httpd
Architecture: any
Replaces: gridsite-apache (<= 1.7.21), gridsite-services  (<= 1.7.21)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite mod_gridsite module and CGI binaries for Apache httpd
 GridSite Apache module and CGI binaries.

Package: libgridsite2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev
Description: GridSite libraries and documentation
 GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
 a library for manipulating these technologies (libgridsite), and CGI
 programs for interactive management of HTTP(S) servers (gridsite-admin.cgi).
 This package contains shared libraries and core documentation.

Package: libgridsite-dev
Section: libdevel
Architecture: any
Depends: libgridsite2 (= ${binary:Version}),
         ${misc:Depends}
Description: GridSite static libraries and headers
 Development files for GridSite - .a libraries and .h headers.

Package: gridsite-commands
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP(S) read/write client and other GridSite commands
 htcp is a client to fetch files or directory listings from remote
 servers using HTTP or HTTPS, or to put or delete files or directories
 onto remote servers using HTTPS. htcp is similar to scp(1), but uses
 HTTP/HTTPS rather than ssh as its transfer protocol.

Package: gridsite-service-clients
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite WS htproxyput
 GridSite WS delegation client, htproxyput

Package: gridsite-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for GridSite
 This package contains debugging symbols for GridSite library and programs.
