=== debian/changelog ===
gridsite (2.0.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761754.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:32:03 +0000

gridsite (2.0.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Test for old curl by version rather than with #ifndef, which breaks as
    of curl 7.37.1 (closes: #755327).

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 Aug 2014 19:02:02 -0700

gridsite (2.0.4-3) unstable; urgency=medium

  * Add missing Build-Requires on pkg-config (Closes: #747768)
  * Fix wrong return type (Closes: #743318)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 12 May 2014 14:31:04 +0200

gridsite (2.0.4-2) unstable; urgency=low

  * List junk files in debian/copyright for completeness

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 30 Sep 2013 18:50:10 +0200

gridsite (2.0.4-1) unstable; urgency=low

  * Update to version 2.0.4
  * Drop gridsite-gsexec package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 25 Sep 2013 17:07:25 +0200
