=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) $(CPPFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE) build gridsite-delegation.cgi htproxyput
+	$(MAKE) build gridsite-delegation.cgi htproxyput prefix=/usr \
+	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
 
@@ -58,7 +59,7 @@
 	dh_prep
 
 	cd src && \
-	$(MAKE) install install-ws prefix=$(INSTALLDIR)$(_prefix)
+	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) prefix=/usr
 
 	# Let dh_apache2 handle module installation
 	rm -rf mv $(INSTALLDIR)$(_libdir)/httpd
@@ -98,8 +99,6 @@
 	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt \
 	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
 	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
-	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
-	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec
 
 binary-indep: install
 	dh_testdir
@@ -127,11 +126,11 @@
 	dh_link -a
 	dh_strip -a --dbg-package=gridsite-dbg
 	dh_compress -a
-	dh_fixperms -a -X sbin/gsexec -X var/lib/gridsite \
+	dh_fixperms -a -X var/lib/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/libgridsite1.7/usr/lib
+	dh_shlibdeps -a -l debian/libgridsite2/usr/lib
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
