## gridsite 2.1.2

=== src/Makefile ===
--- 
+++ 
@@ -89,30 +89,21 @@
 version_info:=-version-info $(shell \
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' )
 
-ifdef OPENSSL_GLOBUS_LIBS
-PC_FILES=gridsite-openssl.pc gridsite-globus.pc
-else
 PC_FILES=gridsite-openssl.pc
-endif
 
 # caNl adoption part
 # caNl library and headers have to be in standard system places.
-# Print all warnings
-ifeq ($(GRIDSITE_WITH_CANL),no)
-MOD_GRIDSITE_FILE=mod_gridsite.c
-GRST_X509_OBJS=grst_x509.lo
-MOD_SSLPRIVATE_HEADER=mod_ssl-private.h
-MYCANLLDFLAGS=
-else
 GRST_X509_OBJS=grst_canl_x509.lo
 MOD_GRIDSITE_FILE=canl_mod_gridsite.c
 MOD_SSLPRIVATE_HEADER=canl_mod_ssl-private.h
 MYCANLLDFLAGS=$(CANL_C_LIBS)
-endif
-
+
+# Print all warnings
 ifeq ($(WALL),yes)
 MYCFLAGS += -Wall
 endif
+
+CFLAGS=-g -O2
 
 CC=gcc
 COMPILE=libtool --mode=compile $(CC) $(CFLAGS)
@@ -120,7 +111,6 @@
 INSTALL=libtool --mode=install install
 
 GRIDSITE_OBJS=grst_err.lo $(GRST_X509_OBJS) grst_gacl.lo grst_xacml.lo grst_http.lo grst_asn1.lo grst_htcp.lo
-GRIDSITE_GLOBUS_OBJS=grst_err_globus.lo grst_x509_globus.lo grst_gacl_globus.lo grst_xacml_globus.lo  grst_http_globus.lo grst_asn1_globus.lo grst_htcp_globus.lo
 GRIDSITE_NOSSL_OBJS=grst_err_nossl.lo grst_gacl_nossl.lo grst_http_nossl.lo grst_xacml_nossl.lo grst_htcp_nossl.lo
 
 #
@@ -147,10 +137,6 @@
 	    -I/usr/kerberos/include \
 	    -c $< -o $@
 
-grst_x509.lo: grst_x509.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
 grst_canl_x509.lo: grst_canl_x509.c ../interface/gridsite.h
 	$(COMPILE)  $(MYCFLAGS) $(CANL_C_CFLAGS) \
             -I/usr/kerberos/include -c $< -o $@
@@ -175,53 +161,12 @@
 	$(COMPILE)  $(MYCFLAGS) \
             -I/usr/kerberos/include -c $< -o $@
 
-# Then build versions using Globus OpenSSL if configured
-
-ifdef OPENSSL_GLOBUS_LIBS
-
-libgridsite_globus.a: libgridsite_globus.la
-
-libgridsite_globus.la: $(GRIDSITE_GLOBUS_OBJS)
-	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-         -o $@ $+  $(XML2_LIBS) $(OPENSSL_GLOBUS_LIBS)
-
-grst_err_globus.lo: grst_err.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-	    -I/usr/kerberos/include -c $< -o $@
-
-grst_x509_globus.lo: grst_x509.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_gacl_globus.lo: grst_gacl.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@
-
-grst_xacml_globus.lo: grst_xacml.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@
-
-grst_http_globus.lo: grst_http.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_asn1_globus.lo: grst_asn1.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-grst_htcp_globus.lo: grst_htcp.c ../interface/gridsite.h
-	$(COMPILE)  $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
-            -I/usr/kerberos/include -c $< -o $@
-
-else
-
+# globus soname for compatibility
 libgridsite_globus.a: libgridsite_globus.la
 
 libgridsite_globus.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
          -o $@ $+ -lcrypto ${MYCANLLDFLAGS} $(XML2_LIBS)
-
-endif
 
 # then build versions without OpenSSL
 
@@ -285,14 +230,14 @@
 
 mod_gridsite.so: ${MOD_GRIDSITE_FILE} ${MOD_SSLPRIVATE_HEADER} \
                  libgridsite.la
-	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
+	gcc $(CFLAGS) $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
            $(XML2_CFLAGS) -lcrypto -lssl ${MYCANLLDFLAGS} \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
            ${MOD_GRIDSITE_FILE} -L./.libs -lgridsite
 
 mod_gridsite_example.so: mod_gridsite_example.c 
-	gcc -g -shared -Wl,-soname=gridsite_example_module \
+	gcc $(CFLAGS) -shared -Wl,-soname=gridsite_example_module \
 	   -fPIC $(HTTPD_FLAGS) \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
            mod_gridsite_example.c 
@@ -323,7 +268,7 @@
 
 # This target is used by make-gridsite-spec to test for FUSE include+libs
 fuse-test: fuse-test.c
-	gcc -g -lfuse fuse-test.c \
+	gcc $(CFLAGS) -lfuse fuse-test.c \
           $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
           -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22
 
@@ -361,3 +306,53 @@
 
 
 DelegationService.wsdl: delegation.h
+	$(GSOAPDIR)/bin/soapcpp2 -c delegation.h
+
+gridsite-delegation.cgi: grst-delegation.c delegation.h \
+                         DelegationService.wsdl libgridsite.la
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o gridsite-delegation.cgi \
+            grst-delegation.c \
+            -I/usr/kerberos/include -I. $(GSOAP_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            -DVERSION=\"$(VERSION)\" -L./.libs \
+            soapC.c soapServer.c \
+            $(GSOAP_LIBS) -lgridsite
+#            -L$(GRIDSITEDIR)/$(libdir)  $(GSOAP_LIBS) \
+ #           -lgridsite
+
+htproxyput: htproxyput.c delegation.h DelegationService.wsdl libgridsite.la
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o htproxyput \
+            htproxyput.c \
+            -I/usr/kerberos/include -I. \
+            -DVERSION=\"$(VERSION)\" \
+            $(GSOAPSSL_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            -L./.libs \
+            $(STDSOAP2) \
+            soapC.c soapClient.c $(GSOAPSSL_LIBS) \
+            -lgridsite -lssl -lcrypto
+
+# This target is used by make-gridsite-spec to test for gSOAP include+libs
+gsoap-test: gsoap-test.c 
+	gcc $(CFLAGS) $(MYCFLAGS) $(MYLDFLAGS) -o gsoap-test \
+            gsoap-test.c \
+            -I/usr/kerberos/include -I. \
+            -DVERSION=\"$(VERSION)\" \
+            $(GSOAPSSL_CFLAGS) \
+            -I$(GRIDSITEDIR)/include \
+            $(STDSOAP2) -L$(GRIDSITEDIR)/$(libdir) \
+            $(GSOAPSSL_LIBS) -lz -lssl -lcrypto $(XML2_LIBS) -lm
+
+gridsite-storage.lo: gridsite-storage.c
+	$(COMPILE) -o $@ -c $<  $(MYCFLAGS) \
+            -I/usr/kerberos/include -I.\
+            -I$(GRIDSITEDIR)/include \
+            -DVERSION=\"$(VERSION)\" -L. \
+            $(CURL_CFLAGS)
+
+gridsite-storage.cgi: gridsite-storage.lo libgridsite.la
+	$(LINK) $(MYLDFLAGS) -o $@ $< \
+            -L$(GRIDSITEDIR)/$(libdir) \
+            -lgridsite $(CURL_LIBS)
+
+%.pc: %.pc.in
