=== debian/changelog ===
gridsite (2.1.2-1+meta) stable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Fri, 08 Aug 2013 09:59:28 +0200
