=== debian/rules ===
#! /usr/bin/make -f

override_dh_auto_build:
	$(MAKE) -C src prefix=/usr build gridsite-delegation.cgi htproxyput

override_dh_auto_install:
	$(MAKE) -C src prefix=/usr httpd_name=apache2 DESTDIR=$(shell pwd)/debian/tmp install install-ws post-install-debian

%:
	dh -Smakefile -Dsrc --dbg-package=gridsite-dbg $@
